Holger's Java API

## com.antelmann.io
Interface InterceptInputStream.Handler

All Known Implementing Classes:
  ReplaceInputStream

Enclosing class:
  InterceptInputStream

    public static interface InterceptInputStream.Handler

used to handle pattern occurrences for an InterceptInputStream

Method Summary
`void` `patternFound(InterceptInputStream stream, byte[] pattern)` at the time this method is called, the given stream is at the beginning of the given pattern that is to be read next

Method Detail

### patternFound

    void patternFound(InterceptInputStream stream,
                      byte[] pattern)
                      throws IOException

  at the time this method is called, the given stream is at the beginning of the given pattern that is to be read next

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads